#include <allegro.h>
#include <winalleg.h>
#include "erkMap.h"

erkTTThorns::erkTTThorns()
{
}

erkTTThorns::~erkTTThorns()
{
}

void erkTTThorns::EffectUnit(erkUnit_p pUnit, erkTile_p pTile)
{
	if(pTile->IsLit() != pUnit->GetSide())
	{
		pUnit->DecHealth(50);
	}
}
